using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace BB_Romanovskaya
{
    public partial class uslugi : Form
    {
        public uslugi()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "bB_RomanovskayaDataSet.Admin". При необходимости она может быть перемещена или удалена.
            this.adminTableAdapter.Fill(this.bB_RomanovskayaDataSet.Admin);

        }

        private void label1_Click(object sender, EventArgs e)
        {

        }

        private void adminBindingNavigatorSaveItem_Click(object sender, EventArgs e)
        {
            this.Validate();
            this.adminBindingSource.EndEdit();
            this.tableAdapterManager.UpdateAll(this.bB_RomanovskayaDataSet);

        }

        private void label2_Click(object sender, EventArgs e)
        {

        }

        private void loginLabel_Click(object sender, EventArgs e)
        {

        }

        private void button1_Click(object sender, EventArgs e)
        {
            if (string.IsNullOrEmpty(TextBoxLogin.Text) || string.IsNullOrEmpty(PasswordBox.Text))
            {
                MessageBox.Show("Введите логин и пароль");
                return;
            }

            using (var db = new BB_RomanovskayaEntities())
            {
                var user = db.Admin
                    .AsNoTracking()
                    .FirstOrDefault(u => u.Login == TextBoxLogin.Text && u.Password == PasswordBox.Text);
                if (user == null)
                {
                    MessageBox.Show("Пользователь с такими данными не найден");
                    return;
                }
                MessageBox.Show("Пользователь найден");
            }
        }

        private void button2_Click(object sender, EventArgs e)
        {
            client_ f = new client_();
            f.Show();
            this.Hide();
        }

        private void button4_Click(object sender, EventArgs e)
        {
            uslugi f = new uslugi();
            f.Show();
            this.Hide();
        }

        private void button3_Click(object sender, EventArgs e)
        {
            zapis f = new zapis();
            f.Show();
            this.Hide();
        }
    }
}
